# Interface methods for submodule: AccumulateImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: AccumulateImageFilter
class AccumulateImageFilterProxy(_ImageToImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def GetAccumulateDimension(self) -> int:
		""""""
		...

	def SetAccumulateDimension(self, _arg: int) -> None:
		""""""
		...

	def SetAverage(self, _arg: bool) -> None:
		""""""
		...

	def GetAverage(self) -> bool:
		""""""
		...

	def AverageOn(self) -> None:
		""""""
		...

	def AverageOff(self) -> None:
		""""""
		...

